<?php

namespace app\controller;

use support\Request;

class Listen
{
    public function index(Request $request)
    {
        #id=ca657d42-4821-418e-b1d3-36fa246868ff
        #key=gto_w2bjzeqkh7kfk3k2og7vpzkanwnq3e2jegsntenuzc2upolo7qda
        #https://git.laysense.com/login/oauth/authorize?client_id=ca657d42-4821-418e-b1d3-36fa246868ff&redirect_uri=https://auth.laysense.cn/listen&response_type=code&scope=openid&state=a261cb03-618a-44e2-ab76-099585dbc4c9
        print_r($request);
        return json(['code' => 0, 'msg' => 'ok']);
    }

    public function view(Request $request)
    {
        return view('index/view', ['name' => 'webman']);
    }

    public function json(Request $request)
    {
        return json(['code' => 0, 'msg' => 'ok']);
    }

}
